/*
 * @Author: your name
 * @Date: 2021-11-24 14:45:04
 * @LastEditTime: 2021-11-24 15:27:01
 * @LastEditors: Please set LastEditors
 * @Description: 打开koroFileHeader查看配置 进行设置: https://github.com/OBKoro1/koro1FileHeader/wiki/%E9%85%8D%E7%BD%AE
 * @FilePath: /LittleBeeSaas/src/router/basic.js
 */
export default [
    {
        path: '/Console',
        name: "Console",
        title: "控制台",
        hide: false,
        icon: 'container',
        component: resolve => require(['@/views/Console'], resolve),
        meta: {title: '控制台'}
    },
    {
        path: '/Employee',
        name: "Employee",
        title: "员工管理",
        icon: 'database',
        hide: false,
        component: resolve => require(['@/views/Employee'], resolve),
        meta: {title: '员工管理'}
    },
    {
        path: '/Authority',
        name: "Authority",
        title: "权限管理",
        icon: 'profile',
        hide: false,
        component: resolve => require(['@/views/Authority'], resolve),
        meta: {title: '权限管理'},
        children: [
            {
                path: '/Authority/_details',
                name: "Authority_details",
                title: "账单管理-详情",
                icon: 'profile', 
                hide: true,
                component: resolve => require(['@/views/Authority/_details'], resolve),
                meta: {title: '账单管理-详情'},
            }
        ]
    },
    {
        path: '/Attendance',
        name: "Attendance",
        title: "考勤管理",
        icon: 'profile',
        hide: false,
        redirect: '/attendance/record',
        component: resolve => require(['@/views/Attendance'], resolve),
        meta: {title: '考勤管理'},
        children: [
            {
                path: '/Attendance/record',
                name: "Attendance_record",
                title: "考勤记录",
                icon: 'profile', 
                hide: false,
                component: resolve => require(['@/views/Attendance/_record'], resolve),
                meta: {title: '考勤记录'},
            },
            {
                path: '/Attendance/application',
                name: "Attendance_application",
                title: "申请记录",
                icon: 'profile', 
                hide: false,
                component: resolve => require(['@/views/Attendance/_application'], resolve),
                meta: {title: '申请记录'},
            },
            {
                path: '/Attendance/attendanceteam',
                name: "Attendance_attendanceteam",
                title: "考勤小组",
                icon: 'profile', 
                hide: false,
                component: resolve => require(['@/views/Attendance/_attendanceteam'], resolve),
                meta: {title: '考勤小组'},
            },
            {
                path: '/Attendance/scheduling',
                name: "Attendance_scheduling",
                title: "排班计划",
                icon: 'profile', 
                hide: false,
                component: resolve => require(['@/views/Attendance/_scheduling'], resolve),
                meta: {title: '排班计划'},
            },

        ]
    }
]